---
title: 'Domain Linking Form'
header_image: netneutrality.jpg
form:
    name: Domain-linking-form
    fields:
        -
            name: username
            label: 'User Name'
            placeholder: 'Enter your Disroot user name'
            autofocus: 'on'
            autocomplete: 'on'
            type: text
            validate:
                pattern: '[A-Za-z0-9.-]*'
                required: true
        -
            name: Domain
            label: 'Your domain'
            placeholder: your-domain
            type: text
            validate:
                pattern: '[A-Za-z0-9.-]*'
                required: true
        -
            name: 'Alias 1'
            label: Alias
            placeholder: your-alias
            type: text
            validate:
                pattern: '[A-Za-z0-9.-]*'
                required: true
        -
            name: 'Alias 2'
            label: 'Second Alias (optional)'
            placeholder: your-alias
            type: text
            validate:
                pattern: '[A-Za-z0-9.-]*'
                required: false
        -
            name: 'Alias 3'
            label: 'Third Alias (optional)'
            placeholder: your-alias
            type: text
            validate:
                pattern: '[A-Za-z0-9.-]*'
                required: false
        -
            name: 'Alias 4'
            label: 'Forth Alias (optional)'
            placeholder: your-alias
            type: text
            validate:
                pattern: '[A-Za-z0-9.-]*'
                required: false
        -
            name: 'Alias 5'
            label: 'Fifth Alias (optional)'
            placeholder: your-alias
            type: text
            validate:
                pattern: '[A-Za-z0-9.-]*'
                required: false
        -
            name: contribution
            label: 'Contributing via'
            placeholder: select
            type: select
            options:
                patreon: Patreon
                paypal: Paypal
                bank: 'Bank transfer'
                faircoin: Faircoin
                bitcoin: Bitcoin
            validate:
                required: true
        -
            name: amount
            label: Amount
            placeholder: 'EUR/USD/BTC/etc.'
            type: text
            validate:
                pattern: '[A-Za-z0-9., ]*'
                required: true
        -
            name: frequency
            label: Repeated
            type: radio
            default: monthly
            options:
                monthly: Monthly
                yearly: Yearly
            validate:
                required: true
        -
            name: reference
            label: Reference
            type: text
            placeholder: 'Name of payment holder or other transfer referance'
            validate:
                required: true
        -
            name: comments
            type: textarea
        -
            name: honeypot
            type: honeypot
    buttons:
        -
            type: submit
            value: Submit
        -
            type: reset
            value: Reset
    process:
        -
            email:
                from: domain-request@disroot.org
                to: '{{ form.value.username }}@disroot.org'
                subject: '[Disroot] Your domain linking request'
                body: '<br><br>Hi {{ form.value.username|e }}, <br><br><strong>Thank you for your contribution to Disroot.org!</strong><br>We truly appreciate your generosity.<br><br>We will review your request and get back to you as soon as we can.</strong><br><br><hr><br><strong>Here is a summary of the received request:</strong><br><br>{% include ''forms/data.html.twig'' %}'
        -
            email:
                from: alias-request@disroot.org
                to: '{{ config.plugins.email.to }}'
                reply_to: '{{ form.value.username }}@disroot.org'
                subject: '[Domain linking request] - {{ form.value.username|e }}'
                body: '{% include ''forms/data.html.twig'' %}'
        -
            save:
                fileprefix: feedback-
                dateformat: Ymd-His-u
                extension: txt
                body: '{% include ''forms/data.txt.twig'' %}'
        -
            message: 'Your domain linking request has been sent!'
        -
            display: thankyou
---

<h1 class="form-title"> Domain Linking Request </h1>
<p class="form-text"><strong> Fill in this form if you would like to use your own domain for Email aliases.</strong>
 <br><br>
Please follow these steps to point your domain to our server: <br><strong> (this will also serve to verify the domain is really owned by you) </strong><br>
    1. Go to the DNS records settings for your domain<br>
    2. Point MX 10 record to disroot.org<br>
    3. Point SPF record to "v=spf1 mx a ptr include:disroot.org ~all"<br>
    4. Point TXT record to "v=spf1 mx ~all"<br>
    5. Once we review your request we will contact you to finalize the procedure<br>
 <br>
<strong>Please take time to consider your contribution.</strong> If you can 'buy' us one cup of Rio De Janeiro coffee a month that's OK, but If you can afford a Double Decaf Soy Frappuccino With An Extra Shot And Cream a month, then you can really help us keep the Disroot platform running and make sure it is available for free for other people with less means.
 </p>
