---
title: 'Formulaire pour lier un domaine'
header_image: netneutrality.jpg
form:
    name: Domain-linking-form
    fields:
        -
            name: username
            label: "Nom d'utilisateur"
            placeholder: "Entrez votre nom d'utilisateur Disroot"
            autofocus: 'on'
            autocomplete: 'on'
            type: text
            validate:
                pattern: '[A-Za-z0-9.-]*'
                required: true
        -
            name: Domain
            label: 'Votre domaine'
            placeholder: votre-domaine
            type: text
            validate:
                pattern: '[A-Za-z0-9.-]*'
                required: true
        -
            name: 'Alias 1'
            label: Alias
            placeholder: votre-alias
            type: text
            validate:
                pattern: '[A-Za-z0-9.-]*'
                required: true
        -
            name: 'Alias 2'
            label: 'Deuxième Alias (optionnel)'
            placeholder: votre-alias
            type: text
            validate:
                pattern: '[A-Za-z0-9.-]*'
                required: false
        -
            name: 'Alias 3'
            label: 'Troisième Alias (optionnel)'
            placeholder: votre-alias
            type: text
            validate:
                pattern: '[A-Za-z0-9.-]*'
                required: false
        -
            name: 'Alias 4'
            label: 'Quatrième Alias (optionnel)'
            placeholder: votre-alias
            type: text
            validate:
                pattern: '[A-Za-z0-9.-]*'
                required: false
        -
            name: 'Alias 5'
            label: 'Cinquième Alias (optionnel)'
            placeholder: votre-alias
            type: text
            validate:
                pattern: '[A-Za-z0-9.-]*'
                required: false
        -
            name: contribution
            label: 'Contribuant via'
            placeholder: sélectionner
            type: select
            options:
                patreon: Patreon
                paypal: Paypal
                bank: 'Virement bancaire'
                faircoin: Faircoin
                bitcoin: Bitcoin
            validate:
                required: true
        -
            name: amount
            label: Montant
            placeholder: 'EUR/USD/BTC/etc.'
            type: text
            validate:
                pattern: '[A-Za-z0-9., ]*'
                required: true
        -
            name: frequency
            label: Répété
            type: radio
            default: monthly
            options:
                monthly: Mensuellement
                yearly: Annuellement
            validate:
                required: true
        -
            name: reference
            label: Reference
            type: text
            placeholder: 'Nom du titulaire du paiement ou autre référence de transfert'
            validate:
                required: true
        -
            name: comments
            type: textarea
        -
            name: honeypot
            type: honeypot
    buttons:
        -
            type: submit
            value: Envoyer
        -
            type: reset
            value: Réinitialiser
    process:
        -
            email:
                from: domain-request@disroot.org
                to: '{{ form.value.username }}@disroot.org'
                subject: '[Disroot] Votre demande de lien vers un domaine'
                body: "<br><br>Bonjour {{ form.value.username|e }}, <br><br><strong>Merci de votre contribution à Disroot.org!</strong><br>Nous apprécions vraiment votre générosité.<br><br>Nous examinerons votre demande d'alias et vous répondrons dès que possible..</strong><br><br><hr><br><strong>Voici un résumé de la demande reçue:</strong><br><br>{% include ''forms/data.html.twig'' %}"
        -
            email:
                from: alias-request@disroot.org
                to: '{{ config.plugins.email.to }}'
                reply_to: '{{ form.value.username }}@disroot.org'
                subject: '[Domain linking request] - {{ form.value.username|e }}'
                body: '{% include ''forms/data.html.twig'' %}'
        -
            save:
                fileprefix: feedback-
                dateformat: Ymd-His-u
                extension: txt
                body: '{% include ''forms/data.txt.twig'' %}'
        -
            message: "Votre demande de lien vers un domaine a été envoyée!"
        -
            display: Merci
---

<h1 class="form-title"> Formulaire pour lier un domaine </h1>
<p class="form-text"><strong> Remplissez ce formulaire si vous souhaitez utiliser votre propre domaine pour les alias Email.</strong>
 <br><br>
Veuillez suivre les étapes suivantes pour pointer votre domaine vers notre serveur: <br><strong> (cela servira aussi à vérifier que le domaine est bien votre propriété) </strong><br>
1. Accédez aux paramètres des enregistrements DNS pour votre domaine<br>
2. Pointer l'enregistrement MX 10 vers disroot.org<br>
3. Pointer l'enregistrement SPF vers "v=spf1 mx a ptr include:disroot.org ~all" <br>
4. Pointer l'enregistrement TXT vers "v=spf1 mx ~all" <br>
5. Une fois que nous aurons examiné votre demande, nous vous contacterons pour finaliser la procédure<br>
<br>
<strong>S'il vous plaît prenez le temps de réfléchir à votre contribution.</strong> Si vous pouvez nous "acheter" une tasse de café Rio De Janeiro par mois, c'est correct, mais si vous pouvez vous permettre un double décaféiné Frappuccino au soja avec une dose supplémentaire par mois, alors vous pouvez vraiment nous aider à maintenir la plateforme Disroot en fonctionnement et vous assurer qu'elle est disponible gratuitement pour d'autres personnes avec moins de moyens.
</p>
